Bug 114982 - Request FC-devel mysql's init.d bugfix to be made available for FC1
Request FC-devel mysql's init.d bugfix to be made available for FC1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
:
: 119042 120491 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 23:30 EST by Michel Alexandre Salim
Modified: 2013-07-02 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 14:58:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2004-02-04 23:30:56 EST
Description of problem:
In mysql-server shipped with FC1 there is a bug in the
/etc/init.d/mysqld that will cause starting mysqld to result in a
timeout error, even though the service has actually been started
successfully.

This is fixed in FC-devel/rawhide but the fix was never published as
an update to FC1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install mysql-server
2. /sbin/service mysqld start

  
Actual results:
Time-out error; starting MySQL 'failed'

Expected results:
Starting MySQL should result in a green 'PASS' report

Additional info:
mysql-server-3.23.58-4
Comment 1 Marco Colombo 2004-03-03 09:26:32 EST
That happens to me too, after an upgrade from RHL73. The problem is
that the rc scripts tries to contact the daemon by issuing an
/usr/bin/mysqladmin ping command, (wrongly) assuming that the daemon
is not running in case of repeated failures. In my case, the failure
is due to the fact I protected the 'root' MySQL account with a
password (which seemed to me a pretty logical action to take). One way
to fix it is to add a --password='xxxxxx' option to mysqladmin in
/etc/rc.d/init.d/mysqld, but this leads to obvious security issues. A
better approach is to change the rc script not to use 'mysqladmin
ping' at all. The best approach (IMHO) involves patching mysql to
allow non authenticated pings, or using a different user (maybe a
dummy one) to perform the ping.
Comment 2 Tom Lane 2004-03-24 10:38:30 EST
*** Bug 119042 has been marked as a duplicate of this bug. ***
Comment 3 Tom Lane 2004-04-05 16:03:52 EDT
It seems unlikely that we'd roll mysql in fc1 just for this, but I'll
keep the bug open as a reminder in case there's another reason to do
an update.
Comment 4 Tom Lane 2004-04-09 09:14:16 EDT
*** Bug 120491 has been marked as a duplicate of this bug. ***
Comment 5 Tom Lane 2004-10-05 14:58:43 EDT
Since FC1 is not being maintained anymore by Red Hat, I'm going to
close out this bug entry.

Note You need to log in before you can comment on or make changes to this bug.